{
  inputs,
  pkgs,
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;
  cfg = config.my.ags;
in {
  imports = [inputs.ags.homeManagerModules.default];

  options.my.ags = {
    enable = mkEnableOption "ags";
  };

  config = mkIf cfg.enable {
    programs.ags = {
      enable = true;

      extraPackages = with pkgs; [
        bun
        which
        fzf
        # inputs.matugen.packages.${system}.default
        slurp
        wf-recorder
        wl-clipboard
        wayshot
        swappy
        hyprpicker
        pavucontrol
        networkmanager
        gtk3
      ];
    };

    home.packages = with pkgs; [
      brightnessctl
      fd
      dart-sass
      swww
    ];
  };
}
